Package org.eclipse.jdt.core.util

# Interface IAnnotationComponent

public interface IAnnotationComponent
Description of an annotation component as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getComponentName()`
Answer back the component name as described in the JVM specifications.
`int`
`getComponentNameIndex()`
Answer back the component name index as described in the JVM specifications.
`IAnnotationComponentValue`
`getComponentValue()`
Answer back the component value as described in the JVM specifications.

## Method Details

### getComponentNameIndex

int getComponentNameIndex()
Answer back the component name index as described in the JVM specifications.

Returns:
  the component name index

### getComponentName

char[] getComponentName()
Answer back the component name as described in the JVM specifications.

Returns:
  the component name

### getComponentValue

IAnnotationComponentValue getComponentValue()
Answer back the component value as described in the JVM specifications.

Returns:
  the component value